Skip to main content
GET
/
api
/
v3
/
expenseClaimItems
/
{expenseClaimItemId}
Get an ExpenseClaimItem by id
curl --request GET \
  --url https://{host}/api/v3/expenseClaimItems/{expenseClaimItemId} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/expenseClaimItems/{expenseClaimItemId}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/expenseClaimItems/{expenseClaimItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "purchasedOn": "2023-11-07T05:31:56Z",
    "expenseNatureId": 1,
    "id": 1,
    "expenseClaimId": 1,
    "lineNumber": 1,
    "isControlled": true,
    "createdOn": "2023-11-07T05:31:56Z",
    "modifiedOn": "2023-11-07T05:31:56Z",
    "originalTransaction": {
      "grossAmount": 123,
      "currencyId": "<string>",
      "isExpenseAbroad": true,
      "currency": {
        "id": "<string>",
        "name": "<string>",
        "url": "<string>"
      }
    },
    "processedAmounts": {
      "grossAmount": 123,
      "currencyId": "<string>",
      "currency": {
        "id": "<string>",
        "name": "<string>",
        "url": "<string>"
      },
      "netAmount": 123,
      "vatBases": [
        {
          "countryVatRateId": 2,
          "countryVatRate": {
            "id": 2,
            "name": "<string>",
            "url": "<string>"
          },
          "vatAmount": 123,
          "amountExcludingVat": 123
        }
      ]
    },
    "mileage": {
      "distance": 123,
      "power": 123,
      "waypoints": [
        "<unknown>"
      ]
    },
    "quantity": 1,
    "effectiveQuantity": 2,
    "attendees": {
      "internal": [
        {
          "id": 123,
          "name": "<string>",
          "url": "<string>",
          "displayName": "<string>",
          "modifiedOn": "<string>",
          "lastName": "<string>",
          "firstName": "<string>",
          "login": "<string>",
          "mail": "<string>",
          "dtContractStart": "<string>",
          "birthDate": "<string>",
          "employeeNumber": "<string>",
          "calendar": {
            "id": 123,
            "url": "<string>",
            "name": "<string>"
          },
          "culture": {
            "id": 123,
            "name": "<string>",
            "url": "<string>"
          },
          "picture": {
            "id": "<string>",
            "url": "<string>",
            "name": "<string>"
          },
          "applicationData": {
            "profile_figgo": {
              "id": 123,
              "name": "<string>",
              "url": "<string>"
            },
            "profile_utime": {
              "id": 123,
              "name": "<string>",
              "url": "<string>"
            }
          },
          "legalEntity": {
            "id": 123,
            "name": "<string>",
            "url": "<string>"
          },
          "department": {
            "id": 123,
            "name": "<string>",
            "url": "<string>"
          },
          "manager": {
            "id": 123,
            "name": "<string>",
            "url": "<string>"
          },
          "rolePrincipal": {
            "id": 123,
            "name": "<string>",
            "url": "<string>"
          },
          "habilitedRoles": [
            {
              "id": 123,
              "name": "<string>",
              "url": "<string>"
            }
          ],
          "userWorkCycles": [
            {
              "Id": 123,
              "OwnerID": 123,
              "WorkCycleID": 123,
              "StartsOn": "<string>",
              "EndsOn": "<string>"
            }
          ],
          "dtContractEnd": "<unknown>"
        }
      ],
      "external": [
        {
          "id": 2,
          "displayName": "<string>"
        }
      ]
    },
    "axisSections": [
      {
        "id": 2,
        "code": "<string>",
        "name": "<string>",
        "multilingualName": "<string>",
        "description": "<string>",
        "ownerId": 2,
        "startOn": "2023-11-07T05:31:56Z",
        "endOn": "2023-11-07T05:31:56Z",
        "active": true,
        "axisId": 123,
        "parentAxisSections": [
          {}
        ],
        "childrenAxisSections": [
          {}
        ]
      }
    ],
    "customFields": {},
    "merchant": "<string>",
    "comment": "<string>",
    "expenseReceipts": [
      {
        "id": "f0d01fd0-5f27-4061-8dca-bee6318b0103",
        "originalReceipt": {
          "id": "cb0aae89-56c9-48db-9052-48981660e0f7",
          "name": "receipt-f0d01fd0-5f27-4061-8dca-bee6318b0103.pdf",
          "href": "https://example.ilucca.net/api/v3/ExpenseReceipts/f0d01fd0-5f27-4061-8dca-bee6318b0103/originalReceiptFile",
          "extension": ".pdf"
        },
        "receiptPreview": {
          "id": "cb0aae89-56c9-48db-9052-48981660e0f7",
          "name": "receipt-f0d01fd0-5f27-4061-8dca-bee6318b0103-preview.pdf",
          "href": "https://example.ilucca.net/api/v3/ExpenseReceipts/f0d01fd0-5f27-4061-8dca-bee6318b0103/receiptPreviewFile",
          "extension": ".pdf"
        }
      }
    ],
    "authorizedActions": {
      "isCancellable": true,
      "isEditable": true
    },
    "sourceId": {
      "id": "<string>"
    },
    "source": {
      "id": 123,
      "name": "<string>",
      "code": "<string>"
    },
    "ownerId": 123
  }
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

expenseClaimItemId
integer
required

Unique identifier of the ExpenseClaimItem.

Response

OK

data
The ExpenseClaimItem Resource · object

The ExpenseClaimItem, is an expense that has been declared (within an expense report) by its owner (the user who made the expense).